[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

drbd dependency chain too huge...?



Hello,
In F11 and up to today in F12 I was able to self-compile drbd, and
lately also to create the standalone rpm.
Latest done this way on drbd 8.3.4.

Now I see that drbd is available in Fedora repository, so that on a
F12 machine I'm trying to pass from my built rpms to the repository
provided ones.
I run
yum remove drbd-8.3.4-3.x86_64 drbd-km-2.6.31.5_127.fc12.x86_64-8.3.4-3.x86_64
and I'm ok.
Then I try
yum install drbd
and I get
Resolving Dependencies
--> Running transaction check
---> Package drbd.x86_64 0:8.3.6-2.fc12 set to be updated
--> Processing Dependency: drbd-heartbeat = 8.3.6 for package:
drbd-8.3.6-2.fc12.x86_64
--> Processing Dependency: drbd-pacemaker = 8.3.6 for package:
drbd-8.3.6-2.fc12.x86_64
--> Processing Dependency: drbd-utils = 8.3.6 for package:
drbd-8.3.6-2.fc12.x86_64
--> Processing Dependency: drbd-xen = 8.3.6 for package:
drbd-8.3.6-2.fc12.x86_64
--> Processing Dependency: drbd-bash-completion = 8.3.6 for package:
drbd-8.3.6-2.fc12.x86_64
--> Running transaction check
---> Package drbd-bash-completion.x86_64 0:8.3.6-2.fc12 set to be updated
--> Processing Dependency: bash-completion for package:
drbd-bash-completion-8.3.6-2.fc12.x86_64
---> Package drbd-heartbeat.x86_64 0:8.3.6-2.fc12 set to be updated
--> Processing Dependency: heartbeat for package:
drbd-heartbeat-8.3.6-2.fc12.x86_64
---> Package drbd-pacemaker.x86_64 0:8.3.6-2.fc12 set to be updated
--> Processing Dependency: pacemaker for package:
drbd-pacemaker-8.3.6-2.fc12.x86_64
---> Package drbd-utils.x86_64 0:8.3.6-2.fc12 set to be updated
---> Package drbd-xen.x86_64 0:8.3.6-2.fc12 set to be updated
--> Processing Dependency: xen for package: drbd-xen-8.3.6-2.fc12.x86_64
--> Running transaction check
---> Package bash-completion.noarch 1:1.1-3.fc12 set to be updated
---> Package heartbeat.x86_64 0:3.0.0-0.5.0daab7da36a8.hg.fc12 set to be updated
--> Processing Dependency: PyXML for package:
heartbeat-3.0.0-0.5.0daab7da36a8.hg.fc12.x86_64
--> Processing Dependency: libapphb.so.2()(64bit) for package:
heartbeat-3.0.0-0.5.0daab7da36a8.hg.fc12.x86_64
--> Processing Dependency: libhbclient.so.1()(64bit) for package:
heartbeat-3.0.0-0.5.0daab7da36a8.hg.fc12.x86_64
---> Package pacemaker.x86_64 0:1.0.5-4.fc12 set to be updated
--> Processing Dependency: libcrmcluster.so.1()(64bit) for package:
pacemaker-1.0.5-4.fc12.x86_64
--> Processing Dependency: libstonithd.so.0()(64bit) for package:
pacemaker-1.0.5-4.fc12.x86_64
--> Processing Dependency: libpengine.so.3()(64bit) for package:
pacemaker-1.0.5-4.fc12.x86_64
--> Processing Dependency: libesmtp.so.5()(64bit) for package:
pacemaker-1.0.5-4.fc12.x86_64
--> Processing Dependency: libpe_status.so.2()(64bit) for package:
pacemaker-1.0.5-4.fc12.x86_64
--> Processing Dependency: libcib.so.1()(64bit) for package:
pacemaker-1.0.5-4.fc12.x86_64
--> Processing Dependency: libtransitioner.so.1()(64bit) for package:
pacemaker-1.0.5-4.fc12.x86_64
--> Processing Dependency: libpe_rules.so.2()(64bit) for package:
pacemaker-1.0.5-4.fc12.x86_64
--> Processing Dependency: libcrmcommon.so.2()(64bit) for package:
pacemaker-1.0.5-4.fc12.x86_64
---> Package xen.x86_64 0:3.4.1-5.fc12 set to be updated
--> Processing Dependency: xen-runtime = 3.4.1-5.fc12 for package:
xen-3.4.1-5.fc12.x86_64
--> Running transaction check
---> Package PyXML.x86_64 0:0.8.4-15 set to be updated
---> Package heartbeat-libs.x86_64 0:3.0.0-0.5.0daab7da36a8.hg.fc12
set to be updated
---> Package libesmtp.x86_64 0:1.0.4-12.fc12 set to be updated
---> Package pacemaker-libs.x86_64 0:1.0.5-4.fc12 set to be updated
---> Package xen-runtime.x86_64 0:3.4.1-5.fc12 set to be updated
--> Processing Dependency: xen-hypervisor-abi = 3.4 for package:
xen-runtime-3.4.1-5.fc12.x86_64
--> Running transaction check
---> Package xen-hypervisor.x86_64 0:3.4.1-5.fc12 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=================================================================================================================================================
 Package                               Arch                    Version
                                          Repository
Size
=================================================================================================================================================
Installing:
 drbd                                  x86_64
8.3.6-2.fc12                                       updates
     22 k
Installing for dependencies:
 PyXML                                 x86_64
0.8.4-15                                           fedora
    808 k
 bash-completion                       noarch
1:1.1-3.fc12                                       updates
    173 k
 drbd-bash-completion                  x86_64
8.3.6-2.fc12                                       updates
    6.7 k
 drbd-heartbeat                        x86_64
8.3.6-2.fc12                                       updates
    8.0 k
 drbd-pacemaker                        x86_64
8.3.6-2.fc12                                       updates
     19 k
 drbd-utils                            x86_64
8.3.6-2.fc12                                       updates
    164 k
 drbd-xen                              x86_64
8.3.6-2.fc12                                       updates
    8.1 k
 heartbeat                             x86_64
3.0.0-0.5.0daab7da36a8.hg.fc12                     fedora
    172 k
 heartbeat-libs                        x86_64
3.0.0-0.5.0daab7da36a8.hg.fc12                     fedora
    265 k
 libesmtp                              x86_64
1.0.4-12.fc12                                      fedora
     54 k
 pacemaker                             x86_64
1.0.5-4.fc12                                       fedora
    535 k
 pacemaker-libs                        x86_64
1.0.5-4.fc12                                       fedora
    249 k
 xen                                   x86_64
3.4.1-5.fc12                                       fedora
    896 k
 xen-hypervisor                        x86_64
3.4.1-5.fc12                                       fedora
    2.8 M
 xen-runtime                           x86_64
3.4.1-5.fc12                                       fedora
    4.0 M

Transaction Summary
=================================================================================================================================================
Install      16 Package(s)
Upgrade       0 Package(s)

Total download size: 10 M

I think it is a bit too much.....
In my case I already have a cluster infra based on rhcs and a
virtualization environment based on Qemu-KVM and I wouldn't like to
carry in both heartbeat and xen....
Teoretically, I think one could decide to have drbd installed without
any clustering and/or virtualization infrastructures at all.....

furthermore, I'm not able to find the kernel part for drbd....
And doing an "ls -lR /lib/modules/2.6.31.6-162.fc12.x86_64" gives no
drbd string....

Thanks for feedback...

Gianluca


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]